#ifndef __DOTREADERWRITER_H__
#define __DOTREADERWRITER_H__

#include <string>
#include <vector>
#include <map>

using namespace std;

class DOTReaderWriter
{
public:
    DOTReaderWriter(char* in_file, char* out_file);
    ~DOTReaderWriter();

    unsigned int read(unsigned char** &graph);
    void write(float* pos_x, float* pos_y);

private:
    char* m_in_file;
    char* m_out_file;

    unsigned int m_num_nodes;
    vector<string> m_node_vec;
    map<string, unsigned int> m_node_map;
    string m_edge_str;
};

#endif
